DIR_GET_SIZE(3)

EXPERIMENTAL_FUNC
dir_get_size - Find number of entries in a directory.

SYNOPSIS
#include <karma_dir.h>

unsigned long dir_get_size

(KDir dir, unsigned int skip_control, unsigned long *max_width)

DESCRIPTION
Find number of entries in a directory.

dir The directory object. This is automatically rewound.

skip_control
    Determines whether or not to skip the special files: "." and "..". See <-dir_SKIP_VALUES-> for a list of legal values.

max_width
    The maximum width of the entries is written here. This may be NULL.

RETURN VALUE
The number of entries in the directory.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/